CVE-2023-50164|Apache Struts2远程代码执行漏洞

admin 2023年12月10日09:36:35评论118 views字数 411阅读1分22秒阅读模式

0x00 前言

Apache Struts 2是一个用于开发Java EE网络应用程序的开放源代码网页应用程序架构。它利用并延伸了Java ServletAPI,鼓励开发者采用MVC架构。

0x01 漏洞描述

由于文件上传逻辑存在缺陷,攻击者可以操纵文件上传参数来启用路径遍历,在某些情况下,这种上传可用于执行远程代码执行的恶意文件。

0x02 CVE编号

CVE-2023-50164

0x03 影响版本

Struts 2.5.0-Struts 2.5.32
Struts 6.0.0-Struts 6.3.0

0x04 漏洞详情

https://cwiki.apache.org/confluence/display/WW/S2-066

0x05 参考链接

https://cwiki.apache.org/confluence/display/WW/S2-066

原文始发于微信公众号(信安百科):CVE-2023-50164|Apache Struts2远程代码执行漏洞

  • 左青龙
  • 微信扫一扫
  • weinxin
  • 右白虎
  • 微信扫一扫
  • weinxin
admin
  • 本文由 发表于 2023年12月10日09:36:35
  • 转载请保留本文链接(CN-SEC中文网:感谢原作者辛苦付出):
                   CVE-2023-50164|Apache Struts2远程代码执行漏洞https://cn-sec.com/archives/2277972.html

发表评论

匿名网友 填写信息